export declare const Draft4: {
    id: string;
    $schema: string;
    description: string;
    definitions: {
        schemaArray: {
            type: string;
            minItems: number;
            items: {
                $ref: string;
            };
        };
        positiveInteger: {
            type: string;
            minimum: number;
        };
        positiveIntegerDefault0: {
            allOf: ({
                $ref: string;
                default?: undefined;
            } | {
                default: number;
                $ref?: undefined;
            })[];
        };
        simpleTypes: {
            enum: string[];
        };
        stringArray: {
            type: string;
            items: {
                type: string;
            };
            minItems: number;
            uniqueItems: boolean;
        };
    };
    type: string;
    properties: {
        id: {
            type: string;
            format: string;
        };
        $schema: {
            type: string;
            format: string;
        };
        title: {
            type: string;
        };
        description: {
            type: string;
        };
        default: {};
        multipleOf: {
            type: string;
            minimum: number;
            exclusiveMinimum: boolean;
        };
        maximum: {
            type: string;
        };
        exclusiveMaximum: {
            type: string;
            default: boolean;
        };
        minimum: {
            type: string;
        };
        exclusiveMinimum: {
            type: string;
            default: boolean;
        };
        maxLength: {
            $ref: string;
        };
        minLength: {
            $ref: string;
        };
        pattern: {
            type: string;
            format: string;
        };
        additionalItems: {
            anyOf: ({
                type: string;
                $ref?: undefined;
            } | {
                $ref: string;
                type?: undefined;
            })[];
            default: {};
        };
        items: {
            anyOf: {
                $ref: string;
            }[];
            default: {};
        };
        maxItems: {
            $ref: string;
        };
        minItems: {
            $ref: string;
        };
        uniqueItems: {
            type: string;
            default: boolean;
        };
        maxProperties: {
            $ref: string;
        };
        minProperties: {
            $ref: string;
        };
        required: {
            $ref: string;
        };
        additionalProperties: {
            anyOf: ({
                type: string;
                $ref?: undefined;
            } | {
                $ref: string;
                type?: undefined;
            })[];
            default: {};
        };
        definitions: {
            type: string;
            additionalProperties: {
                $ref: string;
            };
            default: {};
        };
        properties: {
            type: string;
            additionalProperties: {
                $ref: string;
            };
            default: {};
        };
        patternProperties: {
            type: string;
            additionalProperties: {
                $ref: string;
            };
            default: {};
        };
        dependencies: {
            type: string;
            additionalProperties: {
                anyOf: {
                    $ref: string;
                }[];
            };
        };
        enum: {
            type: string;
            minItems: number;
            uniqueItems: boolean;
        };
        type: {
            anyOf: ({
                $ref: string;
                type?: undefined;
                items?: undefined;
                minItems?: undefined;
                uniqueItems?: undefined;
            } | {
                type: string;
                items: {
                    $ref: string;
                };
                minItems: number;
                uniqueItems: boolean;
                $ref?: undefined;
            })[];
        };
        allOf: {
            $ref: string;
        };
        anyOf: {
            $ref: string;
        };
        oneOf: {
            $ref: string;
        };
        not: {
            $ref: string;
        };
    };
    dependencies: {
        exclusiveMaximum: string[];
        exclusiveMinimum: string[];
    };
    default: {};
};
