import type Ajv from 'ajv';
import type { ErrorObject, ValidateFunction } from 'ajv';
import { CoreActions } from '@jsonforms/core/lib/actions';
import { Reducer } from '@jsonforms/core/lib/util';
import type { JsonSchema, UISchemaElement } from '@jsonforms/core/lib/models';
export declare const validate: (validator: ValidateFunction | undefined, data: any) => ErrorObject[];
export type ValidationMode = 'ValidateAndShow' | 'ValidateAndHide' | 'NoValidation';
export interface JsonFormsCore {
    data: any;
    schema: JsonSchema;
    uischema: UISchemaElement;
    errors?: ErrorObject[];
    additionalErrors?: ErrorObject[];
    validator?: ValidateFunction;
    ajv?: Ajv;
    validationMode?: ValidationMode;
}
export declare const coreReducer: Reducer<JsonFormsCore, CoreActions>;
export declare const extractData: (state: JsonFormsCore) => any;
export declare const extractSchema: (state: JsonFormsCore) => JsonSchema;
export declare const extractUiSchema: (state: JsonFormsCore) => UISchemaElement;
export declare const extractAjv: (state: JsonFormsCore) => Ajv;
export declare const getControlPath: (error: ErrorObject) => any;
export declare const errorsAt: (instancePath: string, schema: JsonSchema, matchPath: (path: string) => boolean) => (errors: ErrorObject[]) => ErrorObject[];
export declare const errorAt: (instancePath: string, schema: JsonSchema) => (state: JsonFormsCore) => ErrorObject[];
export declare const subErrorsAt: (instancePath: string, schema: JsonSchema) => (state: JsonFormsCore) => ErrorObject[];
