import type { ErrorObject, AnySchemaObject } from "@jsonforms/core/node_modules/ajv/dist/types";
import type { SchemaObjCxt } from "@jsonforms/core/node_modules/ajv/dist/compile";
import { JSONType } from "@jsonforms/core/node_modules/ajv/dist/compile/rules";
import { Code, Name } from "@jsonforms/core/node_modules/ajv/dist/compile/codegen";
export declare enum DataType {
    Correct = 0,
    Wrong = 1
}
export declare function getSchemaTypes(schema: AnySchemaObject): JSONType[];
export declare function getJSONTypes(ts: unknown | unknown[]): JSONType[];
export declare function coerceAndCheckDataType(it: SchemaObjCxt, types: JSONType[]): boolean;
export declare function checkDataType(dataType: JSONType, data: Name, strictNums?: boolean | "log", correct?: DataType): Code;
export declare function checkDataTypes(dataTypes: JSONType[], data: Name, strictNums?: boolean | "log", correct?: DataType): Code;
export type TypeError = ErrorObject<"type", {
    type: string;
}>;
export declare function reportTypeError(it: SchemaObjCxt): void;
