import type { ErrorObject, Vocabulary } from "@jsonforms/core/node_modules/ajv/dist/types";
import { LimitNumberError } from "@jsonforms/core/node_modules/ajv/dist/vocabularies/validation/limitNumber";
import { MultipleOfError } from "@jsonforms/core/node_modules/ajv/dist/vocabularies/validation/multipleOf";
import { PatternError } from "@jsonforms/core/node_modules/ajv/dist/vocabularies/validation/pattern";
import { RequiredError } from "@jsonforms/core/node_modules/ajv/dist/vocabularies/validation/required";
import { UniqueItemsError } from "@jsonforms/core/node_modules/ajv/dist/vocabularies/validation/uniqueItems";
import { ConstError } from "@jsonforms/core/node_modules/ajv/dist/vocabularies/validation/const";
import { EnumError } from "@jsonforms/core/node_modules/ajv/dist/vocabularies/validation/enum";
declare const validation: Vocabulary;
export default validation;
type LimitError = ErrorObject<"maxItems" | "minItems" | "minProperties" | "maxProperties" | "minLength" | "maxLength", {
    limit: number;
}, number | {
    $data: string;
}>;
export type ValidationKeywordError = LimitError | LimitNumberError | MultipleOfError | PatternError | RequiredError | UniqueItemsError | ConstError | EnumError;
